Bug 408499 - recent files not remembered when "Include window configuration" is disabled
Summary: recent files not remembered when "Include window configuration" is disabled
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: sessions (show other bugs)
Version: Git
Platform: Neon Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-09 18:43 UTC by S. Christian Collins
Modified: 2019-07-13 15:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Christian Collins 2019-06-09 18:43:17 UTC
STEPS TO REPRODUCE
1. Go to "Settings" -> "Configure Kate..." -> Application/Sessions, and uncheck the box for "Include window configuration".
2. Click Apply/OK and exit Kate
3. Restart Kate

OBSERVED RESULT
The "Open Recent" list is greyed out and empty.

EXPECTED RESULT
I should still be able to see my recently opened files.

SOFTWARE/OS VERSIONS
OS: KDE neon User Edition 5.15
KDE Plasma Version: 5.15.5
KDE Frameworks Version: 5.59.0
Qt Version: 5.12.3
Comment 1 S. Christian Collins 2019-06-09 18:45:25 UTC
Also confirmed using latest KDE neon Developer Edition, Kate package version 4:19.04.2+p18.04+git20190606.1109-0
Comment 2 Ahmad Samir 2019-06-17 16:25:07 UTC
https://phabricator.kde.org/D21876
Comment 3 Christoph Cullmann 2019-07-13 15:47:29 UTC
Git commit 0c98f36e3db317a70eae03cf52be24d2583659f5 by Christoph Cullmann, on behalf of Ahmad Samir.
Committed on 13/07/2019 at 15:47.
Pushed by cullmann into branch 'master'.

When loading a session always load the "open recent" list

Summary:
KateMainWindow: move loading/saving "open recent" files list to separate
functions to enable loading that list when loading a session regardless
of the "save window configuration" setting.

Note that there was no strict need to move the code that saved the list
outside of KateMainWindow::saveProperties(), but this way the code is less
confusing.
FIXED-IN: 19.08.0

Test Plan:
- Open kate with a new/anonymous session, and disable "restore window configuration"
- Open some files to populate the "open recent" menu, then close kate
- Open kate again with a new/anon. session; check if the "open recent" menu
  has been populated  with the previously opened files
- Load a different session in the same window; check if the "open recent" menu
  has been populated with the files list from that session

- Repeat the same steps but with "restore window configuration" enabled

Reviewers: #kate, cullmann, dhaumann

Reviewed By: #kate, cullmann

Subscribers: cfeck, kwrite-devel

Tags: #kate

Differential Revision: https://phabricator.kde.org/D21876

M  +10   -2    kate/katemainwindow.cpp
M  +3    -0    kate/katemainwindow.h
M  +26   -12   kate/session/katesessionmanager.cpp

https://commits.kde.org/kate/0c98f36e3db317a70eae03cf52be24d2583659f5